%global pypi_name blurb
%global _empty_manifest_terminate_build 0

Name:           python-%{pypi_name}
Version:        1.0.8
Release:        1
Summary:        Command-line tool to manage CPython Misc/NEWS.d entries

License:        BSD
URL:            https://github.com/python/core-workflow/tree/master/%{pypi_name}
Source0:        https://files.pythonhosted.org/packages/00/09/362bcf19fa247d66f7eb50c620265b2c2b037efaab64f6cb3865034e21f0/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
blurb is a tool designed to rid CPython core development of the scourge of Misc/NEWS conflicts.


%package -n python3-%{pypi_name}
Summary:        Command-line tool to manage CPython Misc/NEWS.d entries.
Provides:       python-%{pypi_name}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%description -n python3-%{pypi_name}
blurb is a tool designed to rid CPython core development of the scourge of Misc/NEWS conflicts.


%prep
%autosetup -n %{pypi_name}-%{version}


%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
        find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
        find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
        find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
        find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
        find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .


%files -n python3-%{pypi_name} -f filelist.lst
%doc README.rst
%license LICENSE.txt
%dir %{python3_sitelib}/*


%changelog
* Mon Jul 12 2021 ice-kylin <wminid@yeah.net> - 1.0.8-1
- Initial package
